package net.voltexstudios.datagen;

import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricBlockLootTableProvider;
import net.minecraft.registry.RegistryWrapper;
import net.voltexstudios.blocks.ModBlocks;

import java.util.concurrent.CompletableFuture;

public class ModLootTableProvider extends FabricBlockLootTableProvider {

    public ModLootTableProvider(FabricDataOutput dataOutput, CompletableFuture<RegistryWrapper.WrapperLookup> registryLookup) {
        super(dataOutput, registryLookup);
    }

    @Override
    public void generate() {
        addDrop(ModBlocks.QUICKSAND_BLOCK);
        addDrop(ModBlocks.PALM_LOG);
        addDrop(ModBlocks.PALM_WOOD);
        addDrop(ModBlocks.PALM_PLANKS);
        addDrop(ModBlocks.PALM_SAPLING);
        addDrop(ModBlocks.PALM_LEAVES, leavesDrops(ModBlocks.PALM_LEAVES, ModBlocks.PALM_SAPLING, 0.0625F));

        addDrop(ModBlocks.WIPED_SAND_SHADE_1);
        addDrop(ModBlocks.WIPED_SAND_SHADE_2);
        addDrop(ModBlocks.SANDSTONE_BRICKS);
        addDrop(ModBlocks.SANDSTONE_TILE_BRICKS);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_1);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_2);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_3);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_4);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_5);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_6);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_7);
        addDrop(ModBlocks.SANDSTONE_ROCK_SHADE_8);
    }
}
